Detail
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{new_application_order_labour_type_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{new_application_order_labour_type_id}"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{new_application_order_labour_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{new_application_order_labour_type_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 7335,
"name": "Para test",
"wo_labour_type_category_id": 1,
"wo_labour_type_attributes": [
{
"id": 1,
"name": "Horas",
"description": "Horas trabajadas (Hs)",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"name": "Profundidad",
"description": "Profundidad de trabajo del implemento (Cm)",
"voucher_type_id": 47,
"created_at": "2024-04-22T11:55:00-03:00",
"modified_at": "2024-04-22T11:55:00-03:00",
"deleted_at": null,
"active": true
}
],
"voucher_type_id": 47,
"external_code": null,
"external_reference": null,
"created_at": "2024-10-31T15:32:31-03:00",
"modified_at": "2024-10-31T15:32:31-03:00",
"deleted_at": null,
"active": true
}{
"error": {
"code": 404,
"message": "Tipo de Labor para Órden de trabajo inexistente"
}
}Version 3 > Application Order Labour Types
Detail
GET
/
api
/
v3
/
third_party
/
application_order_labour_types
/
{new_application_order_labour_type_id}
Detail
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Response
OK
The response is of type object.

